export class StsInfo {
    constructor() {
        this.nativeGetAccessKeyId = () => {
            return this.mAccessKeyId;
        };
        this.nativeSetAccessKeyId = (t36) => {
            this.mAccessKeyId = t36;
        };
        this.nativeGetAccessKeySecret = () => {
            return this.mAccessKeySecret;
        };
        this.nativeSetAccessKeySecret = (s36) => {
            this.mAccessKeySecret = s36;
        };
        this.nativeGetSecurityToken = () => {
            return this.mSecurityToken;
        };
        this.nativeSetSecurityToken = (r36) => {
            this.mSecurityToken = r36;
        };
        this.nativeGetRegion = () => {
            return this.mRegion;
        };
        this.nativeSetRegion = (q36) => {
            this.mRegion = q36;
        };
        this.nativeGetFormatStr = () => {
            return this.getFormatStr();
        };
        this.mAccessKeyId = '';
        this.mAccessKeySecret = '';
        this.mSecurityToken = '';
        this.mRegion = '';
        this.mFormats = [];
    }
    setAccessKeyId(g36) {
        this.mAccessKeyId = g36;
    }
    setAccessKeySecret(f36) {
        this.mAccessKeySecret = f36;
    }
    setSecurityToken(e36) {
        this.mSecurityToken = e36;
    }
    setRegion(d36) {
        this.mRegion = d36;
    }
    getAccessKeyId() {
        return this.mAccessKeyId;
    }
    getAccessKeySecret() {
        return this.mAccessKeySecret;
    }
    getSecurityToken() {
        return this.mSecurityToken;
    }
    getRegion() {
        return this.mRegion;
    }
    getFormats() {
        return this.mFormats;
    }
    setFormats(c36) {
        this.mFormats = c36;
    }
    getFormatStr() {
        if (!this.mFormats || this.mFormats.length == 0) {
            return "";
        }
        let a36 = "";
        for (let b36 of this.mFormats) {
            if (b36 != null) {
                a36 += b36 + ",";
            }
        }
        if (a36.length > 0) {
            a36 = a36.slice(0, -1);
        }
        return a36;
    }
}
